org.apache.bcel.util

## Enum BCELifier.FLAGS

- java.lang.Object
- - java.lang.Enum<BCELifier.FLAGS>
  - - org.apache.bcel.util.BCELifier.FLAGS

- All Implemented Interfaces:
    Serializable, Comparable<BCELifier.FLAGS>
  Enclosing class:
    BCELifier

      public static enum BCELifier.FLAGS
      extends Enum<BCELifier.FLAGS>

  Enum corresponding to flag source.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS`
    `METHOD`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BCELifier.FLAGS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BCELifier.FLAGS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final BCELifier.FLAGS UNKNOWN

    - #### CLASS

          public static final BCELifier.FLAGS CLASS

    - #### METHOD

          public static final BCELifier.FLAGS METHOD

  - ### Method Detail

    - #### values

          public static BCELifier.FLAGS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BCELifier.FLAGS c : BCELifier.FLAGS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BCELifier.FLAGS valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2020 The Apache Software Foundation. All rights reserved.